





#' Similarity between vectors
#'
#' @param weights Vector of weights for each observation
#' @param teliko Vector of numbers.
#' @param arxiko Vector of reference numbers.
#'
#' @return A percentage of similarity between the two vectors
#' @export
#'
#' @examples library(goal)
#' per = SimilarityOfVectors(weights=c(0.5, 0.25, 0.25), teliko=c(42,5,36), arxiko=c(40,5,36) )
#' print(per)
SimilarityOfVectors <- function(weights, teliko, arxiko) {
  if( length(weights) != length(teliko) | length(weights) != length(arxiko) ){
    stop("'weights' not the same length as 'teliko' or 'arxiko'")
  }

  if( sum(weights) != 1 ){
    stop("'weights' should sum up to 1. For example: c(0.5, 0.25, 0.25) ")
  }
  temp= weights * (teliko/arxiko)
  synolo=sum(temp, na.rm=T)
  result = 1- abs(1-(1/synolo) )
  return(result )
}


#arxiko = unlist(lapply(tp, function(x) x$value  ), use.names=F )
#teliko = unlist(lapply(sol1, function(x) x$value  ), use.names=F )

#weights = c(0.5, 0.25, 0.25)


