% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/geometry.r
\name{geo.PointsAlongLines}
\alias{geo.PointsAlongLines}
\title{Points Along Lines}
\usage{
geo.PointsAlongLines(inroads, thefactor)
}
\arguments{
\item{inroads}{A \code{\link{SpatialLines}} or \code{\link{SpatialPointsDataFrame}} object}

\item{thefactor}{A general multiplier factor whch determines the number of points to be generated.}
}
\value{
A \code{\link{SpatialPointsDataFrame}} object which holds the points
}
\description{
Generate Points Along Lines
}
\details{
Generate points along lines.
}
\examples{
library(goal)
library(sp)
library(rgeos)
x = c(1,2,2,1,1,1,3,3)
y = c(1,3,4,7,8,9,13,21)
thefactor=2 
road = sp::SpatialLines(list(sp::Lines(Line(cbind(x,y)), ID="a")))

result = geo.PointsAlongLines(road, thefactor = thefactor)
plot(road)
plot(result, add=TRUE)

}
\author{
Dimitris Kavroudakis \email{dimitris123@gmail.com}
}
\concept{geo}
\keyword{geometry}
